Summary: Soup, a SOAP implementation
Name: soup
Version: 0.7.10
Release: 4
License: LGPL
Group: Development/Libraries
Source0: ftp://ftp.gnome.org/pub/gnome/sources/soup/%{name}-%{version}.tar.bz2
Patch0: soup-0.7.4-unioninitializer.patch
Patch1: soup-0.7.4-noapache.patch
Patch2: soup-0.7.9-lib64.patch
Patch3: soup-0.7.9-fpic.patch
URL:  ftp://ftp.gnome.org/pub/gnome/sources/soup/
BuildRoot: %{_tmppath}/%{name}-root
Requires: glib >= 1.2
Requires: libxml >= 1.8
BuildRequires: glib-devel, libxml-devel, autoconf, openssl-devel, pkgconfig

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C. It 
provides an queued asynchronous callback-based mechanism for sending 
SOAP requests. A WSDL (Web Service Definition Language) to C compiler 
which generates stubs for easily calling remote SOAP methods, and a 
CORBA IDL to WSDL compiler are also included.

Features:
  * Completely Asynchronous
  * Connection cache
  * HTTP chunked transfer support
  * authenticated HTTP, SOCKS4, and SOCKS5 proxy support
  * SSL Support using either OpenSSL or NSS

%package devel
Summary: Header files for the Soup library
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Soup is a SOAP (Simple Object Access Protocol) implementation in C. It 
provides an queued asynchronous callback-based mechanism for sending 
SOAP requests.
This package allows you to develop applications that use the Soup
library.


%prep
%setup -q
%patch0 -p1 -b .initializer
%patch1 -p1 -b .noapache
%patch2 -p1 -b .poptlib64
%patch3 -p1 -b .fpic

%build
NOCONFIGURE=1 ./autogen.sh
if pkg-config openssl ; then
	export CFLAGS="$RPM_OPT_FLAGS `pkg-config --cflags openssl`"
	export CPPFLAGS=`pkg-config --cflags-only-I openssl`
	export LDFLAGS=`pkg-config --libs-only-L openssl`
fi
%configure --enable-debug=yes --enable-apache=no
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL 
%{_bindir}/soup-httpd
%{_bindir}/soup-ssl-proxy
%{_bindir}/soup-wsdl
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/soup-config
%{_includedir}/soup
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/soup.m4
%{_datadir}/gtk-doc/html/soup/

%changelog
* Sat Feb 01 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- only runtime libs in normal rpm

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Jeremy Katz <katzj@redhat.com> 
- update url (#82347)

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 0.7.10-2
- use pkgconfig's openssl configuration information, if it exists

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 0.7.10-1
- update to 0.7.10

* Thu Dec 12 2002 Jeremy Katz <katzj@redhat.com> 0.7.9-4
- fix fpic patch
- soup-devel should require soup

* Thu Dec 12 2002 Jeremy Katz <katzj@redhat.com> 0.7.9-3
- better lib64 patch
- fix building of libwsdl-build to use libtool so that it gets built 
  with -fPIC as needed

* Tue Dec 10 2002 Jeremy Katz <katzj@redhat.com> 0.7.9-2
- change popt handling in configure slightly so that it will work on 
  multilib arches

* Tue Dec 10 2002 Jeremy Katz <katzj@redhat.com> 0.7.9-1
- update to 0.7.9, pulling the tarball out of Ximian packages

* Wed Oct 23 2002 Jeremy Katz <katzj@redhat.com> 0.7.4-3
- fix to not try to include non-existent doc files and remove all 
  unwanted files from the build
- include api docs 
- don't build the apache module

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com> 0.7.4-2
- various specfile tweaks to include in Red Hat Linux
- include all the files

* Tue Jan 23 2001 Alex Graveley <alex@ximian.com>
- Inital RPM config.
